SoMemoryError(3IV)

NAME
SoMemoryError — memory error handling

INHERITS FROM
SoError > SoMemoryError

SYNOPSIS
#include <Inventor/errors/SoMemoryError.h>

Methods from class SoMemoryError:

static void
setHandlerCallback(SoErrorCB *cb, void *data)
static SoErrorCB *
getHandlerCallback()
static void *
getHandlerData()
static SoType
getClassTypeId()

Methods from class SoError:

const SbString &
getDebugString() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
SoMemoryError is used for errors reported due to lack of memory.

METHODS
static void
setHandlerCallback(SoErrorCB *cb, void *data)
static SoErrorCB *
getHandlerCallback()
static void *
getHandlerData()
Sets/returns handler callback for SoMemoryError class.

static SoType
getClassTypeId()
Returns type identifier for SoMemoryError class.

SEE ALSO
SoDebugError, SoReadError